'''Created on Aug 30, 2018
@author: tkl
'''

import time
import sys
import logging
import gate_guard.gate
from climate_control import ClimateControl

LOGFILE = '/var/log/chickenhouse.log'
LOGLEVEL = logging.DEBUG
LOGFORMAT = '%(asctime)s %(message)s'

def main():
    logging.basicConfig(filename=LOGFILE, level=LOGLEVEL, format=LOGFORMAT)
    gate_state = gate_guard.gate.Gate()
    climate_control = ClimateControl()
    try:
        climate_control.start()
        while True:
            gate_state.poll()
            time.sleep(0.1)

    except  KeyboardInterrupt:
        climate_control.stop()
        print "key exit"
        return None

if __name__ == "__main__":
    sys.exit(main())
